Styles in EJ2 JavaScript Floating action button control

13 Jul 202411 minutes to read

This section explains the different styles of Floating Action Button.

FAB styles

The JavaScript(ES5) Floating Action Button supports the following predefined styles that can be defined using the cssClass property. You can customize by replacing the cssClass property with the below defined class.

cssClass Description
e-primary Used to represent a primary action.
e-outline Used to represent an appearance of button with outline.
e-info Used to represent an informative action.
e-success Used to represent a positive action.
e-warning Used to represent an action with caution.
e-danger Used to represent a negative action.
ej.base.enableRipple(true);

// Initialize the Floating Action Button control with applied warning style
var warningbtn = new ej.buttons.Fab({
    iconCss: 'e-icons e-edit',
    cssClass: 'e-warning',
    target: '#targetElement',
})
// Render initialized Floating Action Button
warningbtn.appendTo('#fab');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Floating Action Button</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="styles.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <button id="fab"></button>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
  visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

 /* start of onhover customization */
 .e-fab.e-btn.fab-hover {
  padding: 6px 0px 10px 10px;
}

.fab-hover .text-container {
  overflow: hidden;
  width: 0;
  margin: 0;
  transition: width .5s linear 0s, margin .2s linear .5s;
}

.fab-hover:hover .text-container {
  width: 35px;
  margin: 0 5px;
  transition: width .5s linear .2s, margin .2s linear 0s;
}

/* end of onhover customization */

Predefined Floating Action Button styles provide only the visual indication. So, Floating Action Button content property should define the Floating Action Button style for the users of assistive technologies such as screen readers.

Styles customization

To modify the Floating Action Button appearance, you need to override the default CSS of Floating Action Button control. Please find the list of CSS classes and its corresponding section in Floating Action Button control. Also, you have an option to create your own custom theme for the controls using our Theme Studio.

CSS Class Purpose of Class
.e-fab .e-btn To customize the FAB.
.e-fab .e-btn:hover To customize the FAB on hover.
.e-fab .e-btn:focus To customize the FAB on focus.
.e-fab .e-btn:active To customize the FAB on active.
.e-fab .e-btn-icon To customize the style of FAB icon.

Show text on hover

By using cssClass, you can customize the Floating Action Button to show text on hover with applied transition effect. For detailed information, refer styles.css file below.

The content will behave the same , when the enableHtmlSanitizer is enabled. Since we are adding only the valid tags in content, sanitizing the content will not affect it.

ej.base.enableRipple(true);

// Initialize the Floating Action Button control
var fab = new ej.buttons.Fab({
    iconCss: 'e-icons e-edit',
    content:'<span class="text-container"><span class="textEle">Edit</span></span>',
    cssClass: 'fab-hover',
    target: '#targetElement',
})
// Render initialized Floating Action Button
fab.appendTo('#fab');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Floating Action Button</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="styles.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <button id="fab"></button>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
  visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

 /* start of onhover customization */
 .e-fab.e-btn.fab-hover {
  padding: 6px 0px 10px 10px;
}

.fab-hover .text-container {
  overflow: hidden;
  width: 0;
  margin: 0;
  transition: width .5s linear 0s, margin .2s linear .5s;
}

.fab-hover:hover .text-container {
  width: 35px;
  margin: 0 5px;
  transition: width .5s linear .2s, margin .2s linear 0s;
}

/* end of onhover customization */

Outline customization

By using the cssClass property, you can customize the outline color of the Floating Action Button. Refer the styles.css file below.

ej.base.enableRipple(true);

// Initialize the Floating Action Button control
var fab = new ej.buttons.Fab({
  iconCss: 'e-icons e-people',
  content:'Contact',
  cssClass: 'custom-css',
  target: '#targetElement',
})
// Render initialized Floating Action Button
fab.appendTo('#fab');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Floating Action Button</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="styles.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id='container'>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <button id='fab'></button>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
.custom-css.e-fab.e-btn {
  border-color: darkgrey;
  border-width: 4px;
}

HelpBot Assistant

How can I help you?

Styles in Vue Floating action button component

13 Jul 202410 minutes to read

This section explains the different styles of Floating Action Button.

FAB styles

The Vue Floating Action Button supports the following predefined styles that can be defined using the cssClass property. You can customize by replacing the cssClass property with the below defined class.

cssClass Description
e-primary Used to represent a primary action.
e-outline Used to represent an appearance of button with outline.
e-info Used to represent an informative action.
e-success Used to represent a positive action.
e-warning Used to represent an action with caution.
e-danger Used to represent a negative action.
<template>
    <div>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <!-- To render Floating Action Button with applied warning style -->
        <ejs-fab id='fab' iconCss='e-icons e-edit' cssClass='e-warning' target='#targetElement'></ejs-fab>
    </div>
</template>

<script setup>

import { FabComponent as EjsFab } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
</style>
<template>
    <div>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <!-- To render Floating Action Button with applied warning style -->
        <ejs-fab id='fab' iconCss='e-icons e-edit' cssClass='e-warning' target='#targetElement'></ejs-fab>
    </div>
</template>

<script>

import { FabComponent } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
export default {
    name: "App",
    components: {
        "ejs-fab": FabComponent
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
</style>

Predefined Floating Action Button styles provide only the visual indication. So, Floating Action Button content property should define the Floating Action Button style for the users of assistive technologies such as screen readers.

Styles customization

To modify the Floating Action Button appearance, you need to override the default CSS of Floating Action Button component. Please find the list of CSS classes and its corresponding section in Floating Action Button component. Also, you have an option to create your own custom theme for the components using our Theme Studio.

CSS Class Purpose of Class
.e-fab.e-btn To customize the FAB.
.e-fab.e-btn:hover To customize the FAB on hover.
.e-fab.e-btn:focus To customize the FAB on focus.
.e-fab.e-btn:active To customize the FAB on active.
.e-fab.e-btn-icon To customize the style of FAB icon.

Show text on hover

By using cssClass, you can customize the Floating Action Button to show text on hover with applied transition effect. For detailed information, refer app.vue file below.

The content will behave the same , when the enableHtmlSanitizer is enabled. Since we are adding only the valid tags in content, sanitizing the content will not affect it.

<template>
    <div>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <!-- To render Floating Action Button -->
        <ejs-fab id='fab' iconCss='e-icons e-edit'
            content='<span class="text-container"><span class="textEle">Edit</span></span>' cssClass='fab-hover'
            target='#targetElement'></ejs-fab>
    </div>
</template>

<script setup>

import { FabComponent as EjsFab } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';

/* start of onhover customization */
.e-fab.e-btn.fab-hover {
    padding: 6px 0px 10px 10px;
}

.fab-hover .text-container {
    overflow: hidden;
    width: 0;
    margin: 0;
    transition: width .5s linear 0s, margin .2s linear .5s;
}

.fab-hover:hover .text-container {
    width: 35px;
    margin: 0 5px;
    transition: width .5s linear .2s, margin .2s linear 0s;
}

/* end of onhover customization */</style>
<template>
    <div>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <!-- To render Floating Action Button -->
        <ejs-fab id='fab' iconCss='e-icons e-edit'
            content='<span class="text-container"><span class="textEle">Edit</span></span>' cssClass='fab-hover'
            target='#targetElement'></ejs-fab>
    </div>
</template>

<script>

import { FabComponent } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
export default {
    name: "App",
    components: {
        "ejs-fab": FabComponent
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';

/* start of onhover customization */
.e-fab.e-btn.fab-hover {
    padding: 6px 0px 10px 10px;
}

.fab-hover .text-container {
    overflow: hidden;
    width: 0;
    margin: 0;
    transition: width .5s linear 0s, margin .2s linear .5s;
}

.fab-hover:hover .text-container {
    width: 35px;
    margin: 0 5px;
    transition: width .5s linear .2s, margin .2s linear 0s;
}

/* end of onhover customization */</style>

Outline customization

By using the cssClass property, you can customize the outline color of the Floating Action Button.

<template>
    <div>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <!-- To render Floating Action Button -->
        <ejs-fab id='fab' iconCss='e-icons e-people' content='Contact' cssClass='custom-css' target='#targetElement'></ejs-fab>
    </div>
</template>

<script>
    import Vue from 'vue';
    import { FabPlugin } from "@syncfusion/ej2-vue-buttons";
    import { enableRipple } from '@syncfusion/ej2-base';

    enableRipple(true);
    Vue.use(FabPlugin);

    export default {}
</script>

<style>
    @import '../node_modules/@syncfusion/ej2-base/styles/material.css';
    @import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';

    /* Outline customization of fab */
    .custom-css.e-fab.e-btn {
        border-color: darkgrey;
        border-width: 4px;
    }
</style>

HelpBot Assistant

How can I help you?

Styles in Angular Floating action button component

13 Jul 20249 minutes to read

This section explains the different styles of Floating Action Button.

FAB styles

The Angular Floating Action Button supports the following predefined styles that can be defined using the cssClass property. You can customize by replacing the cssClass property with the below defined class.

cssClass Description
e-primary Used to represent a primary action.
e-outline Used to represent an appearance of button with outline.
e-info Used to represent an informative action.
e-success Used to represent a positive action.
e-warning Used to represent an action with caution.
e-danger Used to represent a negative action.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FabModule } from '@syncfusion/ej2-angular-buttons'



import { Component } from '@angular/core';

@Component({
imports: [
        
        FabModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div id="targetElement" style="position:relative;min-height:350px;border:1px solid;">
                </div>
                <!-- To Render Floating Action Button with applied warning style -->
                <button ejs-fab id='fab' iconCss= 'e-icons e-edit' cssClass= 'e-warning' target='#targetElement'></button>`
})

export class AppComponent { }
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Predefined Floating Action Button styles provide only the visual indication. So, Floating Action Button content property should define the Floating Action Button style for the users of assistive technologies such as screen readers.

Styles customization

To modify the Floating Action Button appearance, you need to override the default CSS of Floating Action Button component. Please find the list of CSS classes and its corresponding section in Floating Action Button component. Also, you have an option to create your own custom theme for the components using our Theme Studio.

CSS Class Purpose of Class
.e-fab.e-btn To customize the FAB.
.e-fab.e-btn:hover To customize the FAB on hover.
.e-fab.e-btn:focus To customize the FAB on focus.
.e-fab.e-btn:active To customize the FAB on active.
.e-fab.e-btn-icon To customize the style of FAB icon.

Show text on hover

By using cssClass, you can customize the Floating Action Button to show text on hover with applied transition effect. For detailed information, refer index.css file below.

The content will behave the same , when the enableHtmlSanitizer is enabled. Since we are adding only the valid tags in content, sanitizing the content will not affect it.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FabModule } from '@syncfusion/ej2-angular-buttons'



import { Component } from '@angular/core';

@Component({
imports: [
        
        FabModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div id="targetElement" style="position:relative;min-height:350px;border:1px solid;">
                </div>
                <!-- To Render Floating Action Button -->
                <button ejs-fab id='fab' iconCss= 'e-icons e-edit' content='<span class="text-container"><span class="textEle">Edit</span></span>' cssClass= 'fab-hover' target='#targetElement'></button>`
})

export class AppComponent { }
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

/* start of onhover customization */
.e-fab.e-btn.fab-hover {
  padding: 6px 0px 10px 10px;
}

.fab-hover .text-container {
  overflow: hidden;
  width: 0;
  margin: 0;
  transition: width .5s linear 0s, margin .2s linear .5s;
}

.fab-hover:hover .text-container {
  width: 35px;
  margin: 0 5px;
  transition: width .5s linear .2s, margin .2s linear 0s;
}

/* end of onhover customization */

Outline customization

By using the cssClass property, you can customize the outline color of the Floating Action Button. Refer the index.css file below.

import { Component } from '@angular/core';

@Component({
    selector: 'app-root',
    template: `<div id="targetElement" style="position:relative;min-height:350px;border:1px solid;">
                </div>
                <!-- To Render Floating Action Button -->
                <button ejs-fab id='fab' iconCss='e-icons e-people' content='Contact' cssClass='custom-css' target='#targetElement'></button>`
})

export class AppComponent { }
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { FabModule } from '@syncfusion/ej2-angular-buttons'

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        FabModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

/* Outline customization of fab */

.custom-css.e-fab.e-btn {
  border-color: darkgrey;
  border-width: 4px;
}

Styles in React Floating action button component

2 Mar 202611 minutes to read

This section explains the different styles of Floating Action Button.

FAB styles

Apply predefined styles to the Floating Action Button using the cssClass property. These semantic styles provide visual indicators for different action types and priorities.

cssClass Description Use Case
e-primary Primary action styling (default). Use for main user actions.
e-outline Button with outline appearance. Use for secondary actions.
e-info Informative action styling. Use for help or information actions.
e-success Positive action styling. Use for confirm or success actions.
e-warning Cautionary action styling. Use for warning or alert actions.
e-danger Negative action styling. Use for delete or destructive actions.
import { FabComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

function App() {
    return (<div>
        <div id="targetElement" style=> </div>
        {/* To render Floating Action Button with applied warning style */}
        <FabComponent id='fab' iconCss='e-icons e-edit' cssClass='e-warning' target='#targetElement'></FabComponent>
    </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
import { FabComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

function App() {
    return (
        <div>
            <div id="targetElement" style=> </div>
            {/* To render Floating Action Button with applied warning style */}
            <FabComponent id='fab' iconCss='e-icons e-edit' cssClass='e-warning' target='#targetElement'></FabComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

Predefined styles are visual indicators only. Use the content property to define semantic meaning for assistive technologies like screen readers, ensuring accessibility for all users.

Styles customization

Customize the Floating Action Button appearance by overriding default CSS classes. Create your own theme using our Theme Studio or apply targeted CSS overrides.

CSS Class Purpose of Class
.e-fab Container for the Floating Action Button component
.e-fab.e-btn Base FAB button styling
.e-fab.e-btn:hover FAB styling on mouse hover
.e-fab.e-btn:focus FAB styling when focused via keyboard
.e-fab.e-btn:active FAB styling when pressed or active
.e-fab.e-btn-icon Icon styling within the FAB
.e-fab.e-btn-content Text/content styling within the FAB
.e-fab.e-primary Primary style variant
.e-fab.e-outline Outline style variant
.e-fab.e-info Info style variant
.e-fab.e-success Success style variant
.e-fab.e-warning Warning style variant
.e-fab.e-danger Danger style variant
.e-fab:disabled Styling for disabled FAB state
.e-fab-overlay Overlay styling when FAB has focus

Show text on hover

By using cssClass, you can customize the Floating Action Button to show text on hover with applied transition effect. For detailed information, refer index.css file below.

The content will behave the same , when the enableHtmlSanitizer is enabled. Since we are adding only the valid tags in content, sanitizing the content will not affect it.

import { FabComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
function App() {
    return (<div>
        <div id="targetElement" style=></div>
        {/* To render Floating Action Button */}
        <FabComponent id='fab' iconCss='e-icons e-edit' content='<span class="text-container"><span class="textEle">Edit</span></span>' cssClass='fab-hover' target='#targetElement'></FabComponent>
    </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
import { FabComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

function App() {
    return (
        <div>
            <div id="targetElement" style=></div>
            {/* To render Floating Action Button */}
            <FabComponent id='fab' iconCss='e-icons e-edit' content='<span class="text-container"><span class="textEle">Edit</span></span>' cssClass='fab-hover' target='#targetElement'></FabComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

/* start of onhover customization */
.e-fab.e-btn.fab-hover {
  padding: 6px 0px 10px 10px;
}

.fab-hover .text-container {
  overflow: hidden;
  width: 0;
  margin: 0;
  transition: width .5s linear 0s, margin .2s linear .5s;
}

.fab-hover:hover .text-container {
  width: 35px;
  margin: 0 5px;
  transition: width .5s linear .2s, margin .2s linear 0s;
}

/* end of onhover customization */

Outline customization

By using the cssClass property, you can customize the outline color of the Floating Action Button. Refer the index.css file below.

import { FabComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

function App() {
    return (<div>
        <div id="targetElement" style=></div>
        {/* To render Floating Action Button */}
        <FabComponent id='fab' iconCss='e-icons e-people' content='Contact' cssClass='custom-css' target='#targetElement'></FabComponent>
    </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
import { FabComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

function App() {
    return (
        <div>
            <div id="targetElement" style=></div>
            {/* To render Floating Action Button */}
            <FabComponent id='fab' iconCss='e-icons e-people' content='Contact' cssClass='custom-css' target='#targetElement'></FabComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

/* Outline customization of fab */

.custom-css.e-fab.e-btn {
  border-color: darkgrey;
  border-width: 4px;
}